Page MenuHomePhabricator

Services Q1 2017/18 goal: Begin migrating job queue processing to multi-DC enabled eventbus infrastructure.
Closed, ResolvedPublic

Description

Tracking task for our quarterly goal. See also https://www.mediawiki.org/wiki/Wikimedia_Technology/Goals/2017-18_Q1#Services.

Annual plan:
Program 8: Multi-datacenter support
Outcome 2: Backend infrastructure works reliably across data centers
Objective 1: Reliable, multi-DC job processing

Quarterly objective

Begin migrating job queue processing to multi-DC enabled eventbus infrastructure.

  • Implement ChangeProp deduplication and rate limiting.
  • Start migrating job queue use cases.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2017, 10:45 PM
elukey moved this task from Backlog to Keep an eye on it on the User-Elukey board.Aug 4 2017, 3:09 PM
GWicke triaged this task as Normal priority.Aug 8 2017, 5:51 PM
mobrovac closed this task as Resolved.Oct 25 2017, 10:13 AM
mobrovac edited projects, added Services (done); removed Services (doing).
mobrovac added a subscriber: mobrovac.

The objective has been achieved. Resolving.